UbuntuUpdates.org

Package "gstreamer1.0-alsa"

Name: gstreamer1.0-alsa

Description:

GStreamer plugin for ALSA

Latest version: 1.20.1-1ubuntu0.2
Release: jammy (22.04)
Level: updates
Repository: main
Head package: gst-plugins-base1.0
Homepage: https://gstreamer.freedesktop.org

Links


Download "gstreamer1.0-alsa"


Other versions of "gstreamer1.0-alsa" in Jammy

Repository Area Version
base main 1.20.1-1
security main 1.20.1-1ubuntu0.2

Changelog

Version: 1.20.1-1ubuntu0.2 2024-05-29 18:08:19 UTC

  gst-plugins-base1.0 (1.20.1-1ubuntu0.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2024-4453.patch: Prevent integer overflows and out of bounds reads
      when handling undefined tags in gst-libs/gst/tag/gstexiftag.c.
    - CVE-2024-4453

 -- Leonidas Da Silva Barbosa <email address hidden> Mon, 27 May 2024 11:31:40 -0300

Source diff to previous version
CVE-2024-4453 GStreamer EXIF Metadata Parsing Integer Overflow Remote Code Execution Vulnerability. This vulnerability allows remote attackers to execute arbitrary

Version: 1.20.1-1ubuntu0.1 2023-08-02 19:07:16 UTC

  gst-plugins-base1.0 (1.20.1-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Heap overwrite in subtitle parsing
    - debian/patches/CVE-2023-37328-1.patch: look for the closing > of a
      tag after the opening < in gst/subparse/gstsubparse.c.
    - debian/patches/CVE-2023-37328-2.patch: skip after the end of a valid
      closing tag in gst/subparse/gstsubparse.c.
    - CVE-2023-37328
  * SECURITY UPDATE: Integer overflow leading to heap overwrite in FLAC
    image tag handling
    - debian/patches/CVE-2023-37327-2.patch: don't allow image tags with
      G_MAXUINT32 length in gst-libs/gst/tag/tags.c.
    - CVE-2023-37327

 -- Marc Deslauriers <email address hidden> Tue, 01 Aug 2023 08:26:17 -0400

CVE-2023-37328 Heap overwrite in subtitle parsing
CVE-2023-37327 Integer overflow leading to heap overwrite in FLAC image tag handling



About   -   Send Feedback to @ubuntu_updates